#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0xe0feacfb, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0xe39b021a, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0x15f6c4be, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0x3928cead, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0x3bed4f64, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0xc25e6846, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0xf0388671, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0x6a9fda5d, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0xde7acdc8, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0x2a28ec18, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0xd879bc06, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0x906c62c6, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0xeed91072, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0xb7ef07cd, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0x13b02ead, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0xe6d00493, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0xda0bbccb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x820659a8, "iscsi_dbg_trace" },
	{ 0x4b8aaeca, "_dev_printk" },
	{ 0xb320cc0e, "sg_init_one" },
	{ 0xc6cfd0a4, "crypto_ahash_digest" },
	{ 0xba7de0cb, "iscsi_conn_setup" },
	{ 0x300551d5, "iscsi_conn_teardown" },
	{ 0xb534f61f, "__kfifo_alloc" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xb32662a6, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xead787fa, "__traceiter_iscsi_dbg_tcp" },
	{ 0x87b8798d, "sg_next" },
	{ 0x458bd275, "iscsi_prep_data_out_pdu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x616bc4e1, "iscsi_put_task" },
	{ 0x968b112c, "iscsi_conn_failure" },
	{ 0x391443d, "iscsi_itt_to_ctask" },
	{ 0xe798236d, "jiffies" },
	{ 0xee0fae70, "iscsi_get_task" },
	{ 0xd794cc62, "iscsi_update_cmdsn" },
	{ 0x7ca2ddb3, "iscsi_requeue_task" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xf54bf0d0, "vmemmap" },
	{ 0xf888ca21, "sg_init_table" },
	{ 0xa22e258c, "crypto_ahash_final" },
	{ 0x236c8c64, "memcpy" },
	{ 0x178a88b1, "skb_prepare_seq_read" },
	{ 0x2d1432c6, "skb_seq_read" },
	{ 0x883729c, "skb_abort_seq_read" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x34a87b7e, "iscsi_complete_pdu" },
	{ 0x2c31080e, "iscsi_verify_itt" },
	{ 0x40128267, "__iscsi_complete_pdu" },
	{ 0xfecb153d, "param_ops_int" },
	{ 0xba856a20, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "AD9D6C9944437EF83E227A6");
MODULE_INFO(rhelversion, "9.99");
