#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_beacon_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_pl_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_event, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_started, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_done, "_gpl", "");
KSYMTAB_FUNC(nl802154_beaconing_done, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0x51178bb6, "");
SYMBOL_CRC(wpan_phy_for_each, 0x64e1858c, "");
SYMBOL_CRC(wpan_phy_new, 0x65b29be1, "");
SYMBOL_CRC(wpan_phy_register, 0x8aed9b01, "");
SYMBOL_CRC(wpan_phy_unregister, 0x16b46fbd, "");
SYMBOL_CRC(wpan_phy_free, 0x5e1b9946, "");
SYMBOL_CRC(ieee802154_hdr_push, 0xab0594e3, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_push, 0xd2ce0fa3, "_gpl");
SYMBOL_CRC(ieee802154_beacon_push, 0x2d865713, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0xf08ec237, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_pl_pull, 0x7ae2d14b, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0x98edd6f3, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0x6db51e66, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0xbc82b3dd, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0xa99427d8, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0x12704ba4, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0x6db3cb9b, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0x6cc6c977, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x57833c17, "bpf_trace_run4" },
	{ 0x9fde8b6, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbe989df1, "dev_set_name" },
	{ 0x30e84c07, "trace_output_call" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0x912b0c3d, "trace_raw_output_prep" },
	{ 0x33569e6f, "nla_put_64bit" },
	{ 0xdba2e40e, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x69f383c1, "trace_event_printf" },
	{ 0x3e412ba5, "device_initialize" },
	{ 0x82697bb3, "genlmsg_put" },
	{ 0x5a0702f4, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf63a9e44, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x52a849de, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x11735496, "device_rename" },
	{ 0x4b75a0ed, "trace_event_buffer_commit" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd970bd29, "put_device" },
	{ 0xa792d3fb, "netlink_broadcast" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x58c2d8ea, "__alloc_skb" },
	{ 0x7f81546c, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x1e1dc170, "__dev_get_by_index" },
	{ 0xfa67426, "perf_trace_run_bpf_submit" },
	{ 0x3d5c672c, "init_net" },
	{ 0xc700be9a, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1a4ae9bf, "device_add" },
	{ 0x831ad1ce, "netlink_unicast" },
	{ 0x13b6a8a5, "dev_get_by_index" },
	{ 0xa8fa7194, "kfree_skb_reason" },
	{ 0x9d92373, "skb_push" },
	{ 0x7965889, "nla_put" },
	{ 0x52c8395b, "trace_event_reg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x500fa3a, "class_unregister" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xa0d9ce59, "unregister_pernet_device" },
	{ 0xbc3bbf65, "bpf_trace_run1" },
	{ 0xd9492ab, "device_del" },
	{ 0xef1cd91e, "dev_set_mac_address" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x2e5af03, "__pskb_pull_tail" },
	{ 0x100b8bb8, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x455a5091, "bpf_trace_run3" },
	{ 0x21207e3c, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5df4d313, "get_net_ns_by_pid" },
	{ 0xa4e188e7, "strscpy" },
	{ 0xc32b575b, "trace_event_buffer_reserve" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3b60f03e, "device_match_name" },
	{ 0x10a99629, "dev_get_by_name" },
	{ 0x6f20e8a0, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x95af1239, "genl_unregister_family" },
	{ 0xf8e34ddc, "kmalloc_trace" },
	{ 0x94cb6b19, "genl_register_family" },
	{ 0xcf7fc1b2, "__dev_change_net_namespace" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xb94c6240, "register_pernet_device" },
	{ 0xcd728e05, "get_net_ns_by_fd" },
	{ 0x6e9085d8, "class_register" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x42484923, "kmalloc_caches" },
	{ 0xfb07fce8, "class_find_device" },
	{ 0xba856a20, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0B647AFBEB0C5DC82041D58");
MODULE_INFO(rhelversion, "9.99");
