#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");

SYMBOL_CRC(drm_gem_shmem_create, 0xf63811a3, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0x2fd10435, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0x3ec318d3, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0x16ac7b3d, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0x8558f7ae, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0x62365608, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0x69c7e04d, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0x955f3535, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0x96a28cf8, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0xeb35dd30, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0xddd788cf, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0x0f29b5b1, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0xcebb1c9b, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0xf54abf92, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0x3d93de8e, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0x2349c770, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x27e99fdf, "vmf_insert_pfn" },
	{ 0xd8120621, "ww_mutex_lock_interruptible" },
	{ 0xf54bf0d0, "vmemmap" },
	{ 0xb3014bd5, "drm_gem_get_pages" },
	{ 0x55b6c3d0, "dma_buf_vmap" },
	{ 0x43a4938f, "vm_get_page_prot" },
	{ 0x7f5b4fe4, "sg_free_table" },
	{ 0x7ccd4eb4, "invalidate_mapping_pages" },
	{ 0x661ae6b4, "ww_mutex_unlock" },
	{ 0x7003a7e7, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0x812dd6dc, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xfd5313c5, "drm_gem_create_mmap_offset" },
	{ 0xc47d6864, "drm_gem_object_init" },
	{ 0xd58f9f84, "dev_driver_string" },
	{ 0x910d47ee, "drm_gem_private_object_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x97883ced, "drm_gem_vm_close" },
	{ 0x467f96bf, "drm_gem_vm_open" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x3b389b6e, "drm_gem_object_release" },
	{ 0x43f4a2d8, "ww_mutex_lock" },
	{ 0x5a16dcfb, "vmap" },
	{ 0xc19b7d10, "drm_gem_handle_create" },
	{ 0x721ad6b8, "__drm_dev_dbg" },
	{ 0x68af24a9, "drm_prime_pages_to_sg" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0x83b9fbad, "dma_buf_vunmap" },
	{ 0x152c4dd6, "shmem_truncate_range" },
	{ 0x28779e52, "drm_printf" },
	{ 0x44ef41ac, "dma_map_sgtable" },
	{ 0xfa7a1be0, "drm_gem_free_mmap_offset" },
	{ 0x56470118, "__warn_printk" },
	{ 0x86550222, "dma_unmap_sg_attrs" },
	{ 0xf8e34ddc, "kmalloc_trace" },
	{ 0xb348745b, "drm_gem_put_pages" },
	{ 0x247a42f8, "drm_gem_private_object_fini" },
	{ 0x42484923, "kmalloc_caches" },
	{ 0x5ebb5935, "drm_prime_gem_destroy" },
	{ 0xba856a20, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "956E037B9195CF3B3B06D5D");
MODULE_INFO(rhelversion, "9.99");
