#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ibcm_reject_msg, "", "");
KSYMTAB_FUNC(ib_create_cm_id, "", "");
KSYMTAB_FUNC(ib_destroy_cm_id, "", "");
KSYMTAB_FUNC(ib_cm_listen, "", "");
KSYMTAB_FUNC(ib_cm_insert_listen, "", "");
KSYMTAB_FUNC(ib_send_cm_req, "", "");
KSYMTAB_FUNC(ib_send_cm_rep, "", "");
KSYMTAB_FUNC(ib_send_cm_rtu, "", "");
KSYMTAB_FUNC(ib_send_cm_dreq, "", "");
KSYMTAB_FUNC(ib_send_cm_drep, "", "");
KSYMTAB_FUNC(ib_send_cm_rej, "", "");
KSYMTAB_FUNC(ib_send_cm_mra, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_req, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_rep, "", "");
KSYMTAB_FUNC(ib_cm_notify, "", "");
KSYMTAB_FUNC(ib_cm_init_qp_attr, "", "");

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0x6f2e3b89, "");
SYMBOL_CRC(ib_destroy_cm_id, 0x4175cb2d, "");
SYMBOL_CRC(ib_cm_listen, 0x20fdf321, "");
SYMBOL_CRC(ib_cm_insert_listen, 0x977a5ff5, "");
SYMBOL_CRC(ib_send_cm_req, 0xc4fdb15c, "");
SYMBOL_CRC(ib_send_cm_rep, 0x42d1f09b, "");
SYMBOL_CRC(ib_send_cm_rtu, 0xb353ce16, "");
SYMBOL_CRC(ib_send_cm_dreq, 0xa86aa5e7, "");
SYMBOL_CRC(ib_send_cm_drep, 0x1fc541b6, "");
SYMBOL_CRC(ib_send_cm_rej, 0x6c3356fe, "");
SYMBOL_CRC(ib_send_cm_mra, 0x21306d0a, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0xc82f59e0, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0xebae787a, "");
SYMBOL_CRC(ib_cm_notify, 0x70468925, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0xcf3d7393, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe239391f, "ib_unregister_client" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6e3ca949, "ib_init_ah_attr_from_path" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xaca0aef0, "complete" },
	{ 0x912b0c3d, "trace_raw_output_prep" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xdba2e40e, "__trace_trigger_soft_disabled" },
	{ 0x69f383c1, "trace_event_printf" },
	{ 0x5a0702f4, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9a4347d1, "rdma_query_gid" },
	{ 0x441ec4ec, "ib_port_register_client_groups" },
	{ 0xeebf8281, "ib_modify_port" },
	{ 0xf63a9e44, "bpf_trace_run2" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4b75a0ed, "trace_event_buffer_commit" },
	{ 0x884aafa4, "rdma_create_ah" },
	{ 0xcb628bb4, "ib_init_ah_attr_from_wc" },
	{ 0x8f480ad5, "ib_find_cached_pkey" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf9de70cb, "ib_register_client" },
	{ 0xdd7a1af2, "ib_unregister_mad_agent" },
	{ 0xeafff3e4, "ib_post_send_mad" },
	{ 0xd0f32b99, "ib_create_send_mad" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xfa67426, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xa035af2f, "rdma_destroy_ah_attr" },
	{ 0xd778022c, "ib_set_client_data" },
	{ 0x3bfa8afe, "ib_get_cached_pkey" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x5faf551a, "rdma_put_gid_attr" },
	{ 0xd8fea321, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x52c8395b, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xbc3bbf65, "bpf_trace_run1" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xc1de4b2f, "_dev_warn" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xcea49bca, "rdma_destroy_ah_user" },
	{ 0x98092dda, "ib_free_send_mad" },
	{ 0xb7330805, "ib_port_unregister_client_groups" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x455a5091, "bpf_trace_run3" },
	{ 0xe5d81e4b, "rdma_move_ah_attr" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc32b575b, "trace_event_buffer_reserve" },
	{ 0xd79c3656, "rdma_find_gid" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe70e184a, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6a8975b9, "ib_free_recv_mad" },
	{ 0x6f822052, "ib_register_mad_agent" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xf8e34ddc, "kmalloc_trace" },
	{ 0x4916a829, "ib_modify_mad" },
	{ 0xa50672be, "ib_create_ah_from_wc" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x42484923, "kmalloc_caches" },
	{ 0xba856a20, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "5E265B1EAF411CBB3A216C5");
MODULE_INFO(rhelversion, "9.99");
