#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0xcc0d03ac, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0x7a1b47b2, "");
SYMBOL_CRC(rdma_iw_cm_id, 0x633afc97, "");
SYMBOL_CRC(rdma_res_to_id, 0x6f953ec7, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0xa07f746c, "");
SYMBOL_CRC(rdma_create_user_id, 0xb08f0b9b, "");
SYMBOL_CRC(rdma_create_qp, 0xf392e1be, "");
SYMBOL_CRC(rdma_destroy_qp, 0x83fa589d, "");
SYMBOL_CRC(rdma_init_qp_attr, 0x36430973, "");
SYMBOL_CRC(rdma_destroy_id, 0x660112a5, "");
SYMBOL_CRC(rdma_get_service_id, 0x9817b995, "");
SYMBOL_CRC(rdma_read_gids, 0x131ba06c, "");
SYMBOL_CRC(rdma_set_service_type, 0x8fe87d72, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x61b2b203, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0x8cfbe897, "");
SYMBOL_CRC(rdma_set_ib_path, 0x33554116, "");
SYMBOL_CRC(rdma_resolve_route, 0x1683c595, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x04be3cc8, "");
SYMBOL_CRC(rdma_set_afonly, 0xb6ddb154, "");
SYMBOL_CRC(rdma_listen, 0x651e3750, "");
SYMBOL_CRC(rdma_resolve_addr, 0x9801b09c, "");
SYMBOL_CRC(rdma_bind_addr, 0x5ceb8407, "");
SYMBOL_CRC(rdma_connect_locked, 0x562e3929, "");
SYMBOL_CRC(rdma_connect, 0xa98bfc6d, "");
SYMBOL_CRC(rdma_connect_ece, 0x4948a2f0, "");
SYMBOL_CRC(rdma_accept, 0x976f8e3d, "");
SYMBOL_CRC(rdma_accept_ece, 0x3ef94be0, "");
SYMBOL_CRC(rdma_lock_handler, 0x4f095976, "");
SYMBOL_CRC(rdma_unlock_handler, 0x3d508756, "");
SYMBOL_CRC(rdma_notify, 0xb1525ee7, "");
SYMBOL_CRC(rdma_reject, 0xd6d5780a, "");
SYMBOL_CRC(rdma_disconnect, 0x142f467e, "");
SYMBOL_CRC(rdma_join_multicast, 0xba115f6a, "");
SYMBOL_CRC(rdma_leave_multicast, 0xd36eec34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc82f59e0, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x2174da9, "iw_create_cm_id" },
	{ 0x9ad5b281, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xe239391f, "ib_unregister_client" },
	{ 0xde83259, "netdev_walk_all_lower_dev_rcu" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xebae787a, "ib_send_cm_sidr_rep" },
	{ 0x57833c17, "bpf_trace_run4" },
	{ 0x4d7feabc, "config_group_init" },
	{ 0x6e3ca949, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x779820e5, "rdma_find_gid_by_port" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x912b0c3d, "trace_raw_output_prep" },
	{ 0x977a5ff5, "ib_cm_insert_listen" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xdba2e40e, "__trace_trigger_soft_disabled" },
	{ 0x69f383c1, "trace_event_printf" },
	{ 0x9573ffe4, "ib_sa_register_client" },
	{ 0x5a0702f4, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9a4347d1, "rdma_query_gid" },
	{ 0x4cb39255, "rt6_lookup" },
	{ 0x740e2489, "rdma_translate_ip" },
	{ 0xf63a9e44, "bpf_trace_run2" },
	{ 0x47c6464, "rdma_dev_access_netns" },
	{ 0xf292bd62, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x4175cb2d, "ib_destroy_cm_id" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0x4ebff89d, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc53c62f4, "register_pernet_subsys" },
	{ 0x4b75a0ed, "trace_event_buffer_commit" },
	{ 0x66967196, "ip_mc_inc_group" },
	{ 0xabc567fd, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x8f480ad5, "ib_find_cached_pkey" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0xf59dbc77, "iw_cm_connect" },
	{ 0x7977d5bd, "rdma_restrack_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xff999e9c, "rdma_addr_cancel" },
	{ 0x70468925, "ib_cm_notify" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xf327547e, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0xf9de70cb, "ib_register_client" },
	{ 0xa175cc7a, "ib_sa_path_rec_get" },
	{ 0x6f2e3b89, "ib_create_cm_id" },
	{ 0xfe7e4d0, "__ip_mc_dec_group" },
	{ 0x9d04b046, "vlan_dev_real_dev" },
	{ 0x42212bdb, "ib_sa_unregister_client" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xfa67426, "perf_trace_run_bpf_submit" },
	{ 0xf6359b02, "ib_init_ah_from_mcmember" },
	{ 0xa035af2f, "rdma_destroy_ah_attr" },
	{ 0xd778022c, "ib_set_client_data" },
	{ 0x3d5c672c, "init_net" },
	{ 0x3bfa8afe, "ib_get_cached_pkey" },
	{ 0xe0caa1a7, "configfs_register_subsystem" },
	{ 0x988cd967, "configfs_remove_default_groups" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x5faf551a, "rdma_put_gid_attr" },
	{ 0x5cc5d4b5, "config_group_init_type_name" },
	{ 0x13b6a8a5, "dev_get_by_index" },
	{ 0x4b6dace9, "iw_destroy_cm_id" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x42d1f09b, "ib_send_cm_rep" },
	{ 0x52c8395b, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x5386ad24, "iw_cm_disconnect" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0xbc3bbf65, "bpf_trace_run1" },
	{ 0xee998ecd, "ib_destroy_qp_user" },
	{ 0xdca9ceed, "unregister_pernet_subsys" },
	{ 0xcf3d7393, "ib_cm_init_qp_attr" },
	{ 0xc1de4b2f, "_dev_warn" },
	{ 0x1fc541b6, "ib_send_cm_drep" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0xc4e0b658, "rdma_restrack_set_name" },
	{ 0x8a5022cf, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0xe1137ee3, "ib_get_cached_port_state" },
	{ 0x21306d0a, "ib_send_cm_mra" },
	{ 0x437a7349, "rdma_restrack_del" },
	{ 0x6255fcc2, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x455a5091, "bpf_trace_run3" },
	{ 0x21207e3c, "__put_net" },
	{ 0xe553b499, "rdma_restrack_parent_name" },
	{ 0xa4e188e7, "strscpy" },
	{ 0x1a0a2097, "iw_cm_accept" },
	{ 0xc32b575b, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x6f965499, "config_item_put" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe553bc6a, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0xa2c1f88c, "iw_cm_init_qp_attr" },
	{ 0xdc1a2a60, "dst_release" },
	{ 0xb353ce16, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa86aa5e7, "ib_send_cm_dreq" },
	{ 0xc4fdb15c, "ib_send_cm_req" },
	{ 0x8410bb02, "ib_create_qp_kernel" },
	{ 0x62b90e3e, "ib_sa_join_multicast" },
	{ 0x3520beec, "roce_gid_type_mask_support" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xf116f08b, "rdma_get_gid_attr" },
	{ 0xf8e34ddc, "kmalloc_trace" },
	{ 0x98961493, "rdma_restrack_new" },
	{ 0xb4d2363e, "__fib_lookup" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x35226468, "iw_cm_listen" },
	{ 0x6c3356fe, "ib_send_cm_rej" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x4407da80, "rdma_copy_src_l2_addr" },
	{ 0x42484923, "kmalloc_caches" },
	{ 0xe7979d1d, "rdma_resolve_ip" },
	{ 0xba856a20, "module_layout" },
};

MODULE_INFO(depends, "ib_cm,ib_core,iw_cm");


MODULE_INFO(srcversion, "B1E22E944E7D01866D82821");
MODULE_INFO(rhelversion, "9.99");
