#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fcoe_ctlr_init, "", "");
KSYMTAB_FUNC(fcoe_ctlr_destroy, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_up, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_down, "", "");
KSYMTAB_FUNC(fcoe_ctlr_els_send, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv_flogi, "", "");
KSYMTAB_FUNC(fcoe_wwn_from_mac, "_gpl", "");
KSYMTAB_FUNC(fcoe_libfc_config, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_get_selected, "", "");
KSYMTAB_FUNC(fcoe_ctlr_set_fip_mode, "", "");
KSYMTAB_FUNC(fcoe_link_speed_update, "_gpl", "");
KSYMTAB_FUNC(__fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_wwn_to_str, "_gpl", "");
KSYMTAB_FUNC(fcoe_validate_vport_create, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_wwn, "_gpl", "");
KSYMTAB_FUNC(fcoe_fc_crc, "_gpl", "");
KSYMTAB_FUNC(fcoe_start_io, "_gpl", "");
KSYMTAB_FUNC(fcoe_clean_pending_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_check_wait_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_queue_timer, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_paged_crc_eof, "_gpl", "");
KSYMTAB_FUNC(fcoe_transport_attach, "", "");
KSYMTAB_FUNC(fcoe_transport_detach, "", "");
KSYMTAB_FUNC(fcoe_ctlr_device_add, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_add, "_gpl", "");

SYMBOL_CRC(fcoe_ctlr_init, 0xa283a6f9, "");
SYMBOL_CRC(fcoe_ctlr_destroy, 0xec731bdc, "");
SYMBOL_CRC(fcoe_ctlr_link_up, 0x7cce43ce, "");
SYMBOL_CRC(fcoe_ctlr_link_down, 0xff609b8d, "");
SYMBOL_CRC(fcoe_ctlr_els_send, 0x6dc6ba31, "");
SYMBOL_CRC(fcoe_ctlr_recv, 0xde19ab0f, "");
SYMBOL_CRC(fcoe_ctlr_recv_flogi, 0x57b2f90e, "");
SYMBOL_CRC(fcoe_wwn_from_mac, 0xc3f30cc0, "_gpl");
SYMBOL_CRC(fcoe_libfc_config, 0xea0bf8bf, "_gpl");
SYMBOL_CRC(fcoe_fcf_get_selected, 0x4ae74eec, "");
SYMBOL_CRC(fcoe_ctlr_set_fip_mode, 0xf4643dfd, "");
SYMBOL_CRC(fcoe_link_speed_update, 0x0e6c3f0c, "_gpl");
SYMBOL_CRC(__fcoe_get_lesb, 0xb8ccb820, "_gpl");
SYMBOL_CRC(fcoe_get_lesb, 0x3c16829b, "_gpl");
SYMBOL_CRC(fcoe_ctlr_get_lesb, 0xf64b636c, "_gpl");
SYMBOL_CRC(fcoe_wwn_to_str, 0xf167cb7a, "_gpl");
SYMBOL_CRC(fcoe_validate_vport_create, 0x63506c6c, "_gpl");
SYMBOL_CRC(fcoe_get_wwn, 0x1554e214, "_gpl");
SYMBOL_CRC(fcoe_fc_crc, 0x137b6247, "_gpl");
SYMBOL_CRC(fcoe_start_io, 0xbffa7022, "_gpl");
SYMBOL_CRC(fcoe_clean_pending_queue, 0x7d39f203, "_gpl");
SYMBOL_CRC(fcoe_check_wait_queue, 0x60c0818f, "_gpl");
SYMBOL_CRC(fcoe_queue_timer, 0xbac58840, "_gpl");
SYMBOL_CRC(fcoe_get_paged_crc_eof, 0x231ddfdf, "_gpl");
SYMBOL_CRC(fcoe_transport_attach, 0x0bcbe1e9, "");
SYMBOL_CRC(fcoe_transport_detach, 0x3143a39a, "");
SYMBOL_CRC(fcoe_ctlr_device_add, 0x4d5e0a62, "_gpl");
SYMBOL_CRC(fcoe_ctlr_device_delete, 0x1170940c, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_delete, 0x1a18c29f, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_add, 0x196a6f32, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc0ddbb0, "fc_rport_lookup" },
	{ 0x96c2bf5b, "dev_get_stats" },
	{ 0xf54bf0d0, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x465bb48d, "param_ops_uint" },
	{ 0x9fde8b6, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xbe989df1, "dev_set_name" },
	{ 0x2ac88526, "consume_skb" },
	{ 0x593d737b, "fc_lport_init" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d50ed7e, "fc_rport_destroy" },
	{ 0x24ce3568, "device_unregister" },
	{ 0x16ad2475, "skb_dequeue" },
	{ 0x37a0cba, "kfree" },
	{ 0xa073aa5c, "fc_rport_logoff" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x335e1bc9, "fc_disc_init" },
	{ 0xfd5b856, "fc_rport_login" },
	{ 0x37b30bca, "skb_queue_purge_reason" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0x62b7262e, "fc_linkdown" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd970bd29, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xabb82cb3, "skb_queue_tail" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x293cb9c5, "fc_lport_reset" },
	{ 0x27705763, "bus_unregister" },
	{ 0x3d5c672c, "init_net" },
	{ 0xc700be9a, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa8fa7194, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x9d92373, "skb_push" },
	{ 0xad4aee39, "strncpy" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x2fe2e69e, "fc_lport_set_local_id" },
	{ 0x76f2fcd8, "fc_exch_recv" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x44ffcc4b, "__ethtool_get_link_ksettings" },
	{ 0xbbcc2c79, "device_register" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xcd14d74b, "fc_vport_id_lookup" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xb6371256, "fc_elsct_init" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xa9cda552, "fc_disc_config" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2e5af03, "__pskb_pull_tail" },
	{ 0x341f252, "fc_fcp_init" },
	{ 0xf11fb97d, "__netdev_alloc_skb" },
	{ 0x100b8bb8, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe798236d, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa4e188e7, "strscpy" },
	{ 0x17e19541, "__dev_queue_xmit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x766065d, "alloc_pages" },
	{ 0x2fcff241, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x10a99629, "dev_get_by_name" },
	{ 0x66afdd61, "skb_clone" },
	{ 0x17a6fea4, "fc_seq_els_rsp_send" },
	{ 0xb0ddd5a1, "fc_rport_flush_queue" },
	{ 0xf8e34ddc, "kmalloc_trace" },
	{ 0xfecb153d, "param_ops_int" },
	{ 0xb29e7df4, "fc_rport_create" },
	{ 0x4b8aaeca, "_dev_printk" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x42484923, "kmalloc_caches" },
	{ 0x1bcf0e98, "fc_exch_init" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xd5d95e4b, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x506a3b86, "fc_linkup" },
	{ 0xba856a20, "module_layout" },
};

MODULE_INFO(depends, "libfc");


MODULE_INFO(srcversion, "391A29CF10549A9BA779091");
MODULE_INFO(rhelversion, "9.99");
