#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0x19e75796, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0xa7e267b5, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x2695a50f, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x275c5076, "_gpl");
SYMBOL_CRC(br_forward_finish, 0xd22f3bd8, "_gpl");
SYMBOL_CRC(br_forward, 0x37b60433, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0xc5a962cc, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x44782fd7, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x06e78bed, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x279ef11c, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x5740ce0b, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x2e23b81d, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x5caff927, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0xbc2d451d, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x7babb739, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x824f7a56, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x90f6069b, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x487dbac2, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0xa7507e93, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0xf83c1600, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0xe4bd776c, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x2539a671, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x651882cf, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0xdf3a7d4e, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x8972da52, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1f284cde, "netdev_lower_get_next" },
	{ 0xd8b38167, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6bff5789, "dev_pre_changeaddr_notify" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x2d6b81a6, "skb_copy_bits" },
	{ 0x7033b647, "__nlmsg_put" },
	{ 0x10019860, "switchdev_port_attr_set" },
	{ 0x2ca93d7d, "ipv6_mc_check_mld" },
	{ 0x9fde8b6, "skb_put" },
	{ 0x93adcce, "__percpu_counter_init_many" },
	{ 0x2c50371, "call_switchdev_notifiers" },
	{ 0x4b03c92c, "sysfs_create_file_ns" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xd69eabc2, "netdev_update_features" },
	{ 0x2ac88526, "consume_skb" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xa1733c05, "__traceiter_br_fdb_add" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8cc1ce0e, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x33569e6f, "nla_put_64bit" },
	{ 0x681d5f5e, "__traceiter_br_fdb_update" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xf4a6c02a, "dev_uc_del" },
	{ 0xc65b9701, "netpoll_send_skb" },
	{ 0x36c9ccc8, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xbb77f615, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x876fa4e2, "percpu_counter_destroy_many" },
	{ 0x236c8c64, "memcpy" },
	{ 0xedee4895, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xfe1ba53e, "dev_set_promiscuity" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x64c3ad06, "rhashtable_init" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8d22efc2, "unregister_netdevice_queue" },
	{ 0x3934ee8e, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x8c2f5a95, "netdev_state_change" },
	{ 0xcb31c2fb, "__dev_get_by_name" },
	{ 0xaceed116, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x5fedc565, "netdev_err" },
	{ 0xeccbb54a, "pskb_expand_head" },
	{ 0xc53c62f4, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xcd856948, "brioctl_set" },
	{ 0x882f0eab, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x58383c0d, "arp_xmit" },
	{ 0xbeca6eea, "__traceiter_br_mdb_full" },
	{ 0xfb96c36b, "alloc_netdev_mqs" },
	{ 0xec657534, "passthru_features_check" },
	{ 0x28378917, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x83a83bf, "netdev_rx_handler_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x21b9c058, "rtnl_af_register" },
	{ 0x7cce902d, "__tracepoint_br_mdb_full" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x58c2d8ea, "__alloc_skb" },
	{ 0x31560699, "kmem_cache_alloc" },
	{ 0x9bca95a5, "rtnl_set_sk_err" },
	{ 0xeb8e14d2, "skb_vlan_pop" },
	{ 0xbfcccb48, "sysfs_create_link" },
	{ 0x800473f, "__cond_resched" },
	{ 0xc821e202, "ipv6_dev_get_saddr" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x507b25d0, "kstrndup" },
	{ 0x27a81f84, "nla_reserve_64bit" },
	{ 0xfe7e4d0, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x1e1dc170, "__dev_get_by_index" },
	{ 0x9e11c21c, "rtnl_link_unregister" },
	{ 0x7e3191f6, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0x7233b128, "dev_get_port_parent_id" },
	{ 0x3d5c672c, "init_net" },
	{ 0x7409db48, "ipv6_stub" },
	{ 0xe85fee51, "inet_confirm_addr" },
	{ 0xc700be9a, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9bccc134, "sysfs_remove_link" },
	{ 0x9ee5f60d, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xfe82abde, "rtnl_af_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x6e0e048e, "arp_send" },
	{ 0xc5a85367, "dev_get_by_index_rcu" },
	{ 0xa8fa7194, "kfree_skb_reason" },
	{ 0x77ff80d3, "__tracepoint_br_fdb_add" },
	{ 0x49247e00, "__traceiter_fdb_delete" },
	{ 0x652032cb, "mac_pton" },
	{ 0x9d92373, "skb_push" },
	{ 0x3d7903b9, "kmem_cache_free" },
	{ 0xf43f925e, "ndo_dflt_fdb_dump" },
	{ 0x85abc85f, "strncmp" },
	{ 0x29f8ace7, "netdev_upper_dev_unlink" },
	{ 0x9758bf68, "netif_receive_skb" },
	{ 0x7965889, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xa0ce6c5, "llc_mac_hdr_init" },
	{ 0x1804ed46, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x24094d26, "kobject_init_and_add" },
	{ 0x45c3ee27, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9241eae, "ns_capable" },
	{ 0x222f6c68, "inet_select_addr" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xa6e7260, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xad6629a8, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xb9d6c0d4, "arp_create" },
	{ 0x44ffcc4b, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe04a2bb6, "stp_proto_register" },
	{ 0x4be20d03, "rtnl_register_module" },
	{ 0x3e6d9d64, "__tracepoint_br_fdb_update" },
	{ 0x37c385ce, "sysfs_rename_link_ns" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xdca9ceed, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x74eef95b, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2e5af03, "__pskb_pull_tail" },
	{ 0x757e66ef, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xfb2207d4, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xa72e060e, "ip_mc_check_igmp" },
	{ 0xf11fb97d, "__netdev_alloc_skb" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0x24f3f358, "switchdev_port_obj_del" },
	{ 0x296e8db8, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x4ddfe4a0, "kobject_create_and_add" },
	{ 0x100b8bb8, "skb_trim" },
	{ 0xdbb705de, "nf_hook_slow" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xea688155, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x9e9a2bc4, "__ip_mc_inc_group" },
	{ 0xcb5cdd54, "netdev_walk_all_upper_dev_rcu" },
	{ 0x4f6b6ce7, "sysfs_remove_group" },
	{ 0x4a98f867, "__traceiter_br_fdb_external_learn_add" },
	{ 0x73814bf3, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd9b19aa5, "__tracepoint_fdb_delete" },
	{ 0xa4e188e7, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb6666482, "__netpoll_setup" },
	{ 0x17e19541, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfe8badec, "vlan_vid_add" },
	{ 0x97b963a9, "neigh_destroy" },
	{ 0x48c35c9e, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x37dbd7ec, "kobject_del" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3617ee81, "call_netdevice_notifiers" },
	{ 0xb181b420, "is_skb_forwardable" },
	{ 0xfbde1ad1, "vlan_vid_del" },
	{ 0xa238b33e, "dev_set_allmulti" },
	{ 0x5545791b, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6c5c5975, "netdev_master_upper_dev_get" },
	{ 0xf38e77b7, "ipv6_dev_mc_inc" },
	{ 0x34bb6f8f, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe8d1e1ca, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe99a7164, "__vlan_find_dev_deep_rcu" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfd812aba, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x66afdd61, "skb_clone" },
	{ 0x15e5bd5d, "metadata_dst_alloc" },
	{ 0xdc1a2a60, "dst_release" },
	{ 0x6892e01, "netif_carrier_on" },
	{ 0xfd789358, "kobject_uevent" },
	{ 0x215494a8, "arp_tbl" },
	{ 0x7b31dc64, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x201ef0db, "netdev_rx_handler_register" },
	{ 0x5b46a4b5, "dev_uc_add" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x7fe4d2dd, "netif_set_tso_max_size" },
	{ 0xf36884c, "dev_disable_lro" },
	{ 0xf8e34ddc, "kmalloc_trace" },
	{ 0xffa35eb5, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xb0f518d9, "dev_get_flags" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x56eb5ece, "dev_kfree_skb_any_reason" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xd6fd75e, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x13eab9c8, "nf_queue" },
	{ 0x1a8bce81, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0xd5d17256, "skb_ext_add" },
	{ 0xbf87067, "sysfs_remove_bin_file" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xfd95a49a, "stp_proto_unregister" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x42484923, "kmalloc_caches" },
	{ 0x474fc975, "neigh_lookup" },
	{ 0xaa852fb3, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x538e6a13, "kobject_put" },
	{ 0x4ff17529, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xba856a20, "module_layout" },
};

MODULE_INFO(depends, "llc,stp");


MODULE_INFO(srcversion, "6F24C27DF076DC81756A22C");
MODULE_INFO(rhelversion, "9.99");
