#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0x2f43881e, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x30b47937, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0xf001a4d1, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0xbc29d6ab, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x252f380a, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x57657f87, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x532dbf36, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0xe84f696e, "");
SYMBOL_CRC(ip_vs_conn_put, 0x99f94801, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x3f936589, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x52405ede, "");
SYMBOL_CRC(register_ip_vs_app, 0x8d53a5ee, "");
SYMBOL_CRC(unregister_ip_vs_app, 0xb677296a, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0xc4a5257e, "");
SYMBOL_CRC(ip_vs_proto_get, 0x3cbb97a3, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0xff972f9a, "");
SYMBOL_CRC(register_ip_vs_pe, 0x75c24e2c, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0xee6a178e, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0xb2d0fd1c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x500c0c02, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0xd137581, "nf_conntrack_find_get" },
	{ 0xff7ad1b5, "krealloc" },
	{ 0xbe8ef121, "try_module_get" },
	{ 0x4db78a94, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9ad5b281, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x38cd648d, "icmp6_send" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x2d6b81a6, "skb_copy_bits" },
	{ 0x4cc73fa9, "xfrm_lookup" },
	{ 0xe88559e1, "proc_dointvec_jiffies" },
	{ 0x6506a8ef, "housekeeping_cpumask" },
	{ 0x2ac88526, "consume_skb" },
	{ 0xfa778607, "ip6_local_out" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0x817ca80c, "nf_register_sockopt" },
	{ 0x33569e6f, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xc7455c69, "nf_ct_netns_get" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x229cd4b6, "kernel_bind" },
	{ 0x838f35b2, "set_user_nice" },
	{ 0x82697bb3, "genlmsg_put" },
	{ 0x8e692527, "udp_set_csum" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xeddd53a6, "ip6_route_me_harder" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x98a1e587, "__module_get" },
	{ 0x34af236c, "ip_route_output_flow" },
	{ 0x3934ee8e, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xe31a901c, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xcb31c2fb, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x65f0dbbb, "proc_create_net_data" },
	{ 0xeccbb54a, "pskb_expand_head" },
	{ 0xc53c62f4, "register_pernet_subsys" },
	{ 0xde0e68a, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7bdb04cc, "register_net_sysctl_sz" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xc8a2d720, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xca94f563, "nf_register_net_hooks" },
	{ 0x3b47f179, "ip6_route_output_flags" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x58c2d8ea, "__alloc_skb" },
	{ 0x31560699, "kmem_cache_alloc" },
	{ 0x8c826540, "ipv6_sock_mc_join" },
	{ 0x57e8aaf0, "module_put" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x800473f, "__cond_resched" },
	{ 0xc821e202, "ipv6_dev_get_saddr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfb91a4f2, "__skb_get_hash" },
	{ 0x3d5c672c, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x831ad1ce, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x454f0a9c, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x28e9dddb, "nf_conntrack_alter_reply" },
	{ 0x663ed8fc, "ip_route_me_harder" },
	{ 0xa8fa7194, "kfree_skb_reason" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x9d92373, "skb_push" },
	{ 0x3d7903b9, "kmem_cache_free" },
	{ 0x5cae62db, "set_cpus_allowed_ptr" },
	{ 0x390046dc, "seq_putc" },
	{ 0x7965889, "nla_put" },
	{ 0x31500158, "proc_doulongvec_minmax" },
	{ 0xce7fb97c, "nf_ct_expect_alloc" },
	{ 0x28ecbd90, "skb_ensure_writable" },
	{ 0x9b7862a4, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x85559e78, "ip_mc_join_group" },
	{ 0xd649e3e0, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9241eae, "ns_capable" },
	{ 0x3780ce1f, "nf_unregister_net_hooks" },
	{ 0x222f6c68, "inet_select_addr" },
	{ 0xa0d9ce59, "unregister_pernet_device" },
	{ 0xbfc01bc4, "lock_sock_nested" },
	{ 0x4e9146e8, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xefabb4ac, "kthread_stop" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x5dd68b69, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xdca9ceed, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x126328e1, "kernel_connect" },
	{ 0x3757276a, "skb_checksum" },
	{ 0xc09769d8, "ip_defrag" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2e5af03, "__pskb_pull_tail" },
	{ 0xe91b2a1d, "nf_ct_delete" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x100b8bb8, "skb_trim" },
	{ 0xdbb705de, "nf_hook_slow" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x4a3dd512, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x4abb53bb, "nf_ct_deliver_cached_events" },
	{ 0x7144c0e2, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x44f71757, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xa4e188e7, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe401dbb7, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc7564fef, "skb_set_owner_w" },
	{ 0xfec2164b, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xaad93c65, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfdd20723, "init_user_ns" },
	{ 0x23b4af52, "nf_ct_expect_init" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9813fbd3, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x2394b85a, "seq_printf" },
	{ 0x992f365d, "sock_recvmsg" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xdba67e7, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xba768896, "ipv4_update_pmtu" },
	{ 0xfbb1dc86, "nf_defrag_ipv6_enable" },
	{ 0xdc1a2a60, "dst_release" },
	{ 0x35659d43, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x74dae967, "proc_dointvec" },
	{ 0x6cefae3a, "seq_puts" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x49e0b1dc, "unregister_net_sysctl_table" },
	{ 0x2bada917, "ip_local_out" },
	{ 0x95af1239, "genl_unregister_family" },
	{ 0xf8e34ddc, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x25fd1c6, "udp6_set_csum" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xfecb153d, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x94cb6b19, "genl_register_family" },
	{ 0x5910ff15, "kernel_sendmsg" },
	{ 0xf444dac7, "nf_ct_netns_put" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xb94c6240, "register_pernet_device" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0x42484923, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xaa852fb3, "kmem_cache_destroy" },
	{ 0xaf634e1c, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xaa3212b1, "proc_dointvec_minmax" },
	{ 0xba856a20, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_defrag_ipv6");


MODULE_INFO(srcversion, "065BE73EFA355403E47E8BB");
MODULE_INFO(rhelversion, "9.99");
